PRI(1)

NAME
pri - convert and modify PCE raw image files

SYNOPSIS
pri [options] [input-file] [options] [output-file]

DESCRIPTION
pri(1) is used to modify and convert PCE raw image files.

OPTIONS

-c, --cylinder cyl1[-cyl2]
    Select a range of cylinders.

-e, --edit what val
    For all selected tracks, set track attribute what to val. For boolean attributes, a value of 0 disables the attribute and any other value enables it. Recognized attributes are:

    clock
        The bit clock rate.

    data
        Initialize the track using val.

    size
        Set the track size in bits.

-f, --info
    Print information about the current image or the next image loaded.

-h, --head head1[-head2]
    Select a range of heads.

-i, --input filename
    Load an image from filename.

-I, --input-format format
    Set the input file format to format. Valid formats are:

    pbit
        The PBIT file format. This has been superseded by PRI.

    pri The native PCE raw image file format.

    tc  Transcopy dump format. Support for this format is highly experimental.

-l, --list-short
    List all tracks in the current image or in the next image loaded. Using this options prints one line per track.

-L, --list-long
    List all tracks in the current image or in the next image loaded.

-m, --merge filename
    Load an image from filename and copy all tracks that are not in the current image into the current image.

-M --merge-overwrite filename
    Load an image from filename and copy all tracks into the current image. Tracks that exist in both images will be overwritten in the current image.

-o, --output filename
    Set the output file name. Before exiting, the current image will be written to this file.

-O, --output-format format
    Set the output file format to format. See the -I option for a list of valid formats.

-p, --operation name [arg...]
    Perform an operation on the current image. Valid operations are:

    auto-align-gcr
        Automatically align Macintosh GCR tracks to the index.

    comment-add text
        Add text to the image comment.

    comment-load filename
        Load the image comment from file filename.

    comment-print
        Print the current image comment.

    comment-save filename
        Save the current image comment to filename.

    comment-set text
        Set the image comment to text.

    decode type filename
        Decode the image and save it as a pri sector image to filename. Valid decode types are:

        fm  IBM FM

        gcr Apple Macintosh GCR

        mfm IBM MFM

        mfm-fm
            IBM MFM/FM. Tracks are decoded as MFM first and if no sectors are found, they are decoded as FM.

    delete
        Delete all selected tracks.

    double-step
        Remove odd numbered tracks.

    double-step-even
        Remove even numbered tracks.

    encode type filename
        Load a pri sector image from filename and encode it. Valid encode types are:

        gcr Apple Macintosh GCR

        mfm IBM MFM

    info
        Print information about the current image (same as -f).

    new Create new tracks.

    rotate bits
        Rotate all selected tracks left by bits bits.

    save filename
        Save all selected tracks to filename. The contents of the tracks are written sequentially to the file.

-r, --data-rate rate
    Set the default data rate. The default is 500000. If rate is greater than 1000 it is assumed to be in bits per second, otherwise it is assumed to be in kbits per seconds.

-s, --set parameter value
    Set a parameter value. Recognized parameters are:

    mfm-auto-gap3 boolean
        Automatically set the GAP3 length. The default is true.

    mfm-clock integer
        Set the MFM clock rate (this is twice the data rate). The default is 500000, suitable for double density disks.

    mfm-iam boolean
        If false, skip the index address mark. The default is false.

    mfm-gap1 integer
        Set the GAP1 length in bytes. The default is 0.

    mfm-gap3 integer
        Set the GAP3 length in bytes. The default is 80.

    mfm-gap4a integer
        Set the GAP4A length in bytes. The default is 96.

    mfm-min-size integer
        Set the minimal sector size when decoding MFM/FM.

    mfm-track-size integer
        Set the track size in bits.

-t, --track c h
    Select tracks. This is the same as using the -c and -h options.

-v, --verbose
    Enable verbose operation.

--help
    Print usage information.

--version
    Print version information.

SEE ALSO
pce-ibmpc(1), pce-macplus(1), pce-img(1), psi(1)

AUTHOR
Hampa Hug <hampa@hampa.ch>